Imports System.Windows.Forms
Public Class TLVColumnCollection
    Inherits GridViewColumnCollectionWrapper

    Public Sub New(ByVal Grid As DataGridView)
        MyBase.New(Grid)
    End Sub

    Default Public Shadows ReadOnly Property Item(ByVal index As Integer) As TreelistviewColumn
        'Durch typisierende Abschattierung der Ilist-Implementation der Basis wird der Designer informiert, welchen Column-Editor er verwenden soll
        Get
            Return DirectCast(MyBase.Item(index), TreelistviewColumn)
        End Get
    End Property


    'Public Overrides Sub LastAutoFill()

    '    MyBase._Grid.SuspendLayout()
    '    For I As Integer = 0 To Me.Count - 2
    '        Me.Item(I).AutoSizeMode = DataGridViewAutoSizeColumnMode.NotSet
    '    Next
    '    Me.Item(Count - 1).AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill
    '    MyBase._Grid.ResumeLayout()
    'End Sub

    Public Shadows Sub Add(ByVal Item As TreelistviewColumn)
        'Nicht unbedingt erf.; aber das typisierte Add bewirkt, da die neue Column angezeigt wird, whrend der Column-Editor noch geffnet ist. (Entsprechendes fr Remove habe ich noch nicht gefunden)
        MyBase.Add(Item)
        'LastAutoFill()
    End Sub

    Public ReadOnly Property Widths() As Integer()
        Get
            Dim RetVal(MyBase.Count - 1) As Integer
            For I As Integer = 0 To MyBase.Count - 1
                RetVal(I) = DirectCast(MyBase.Item(I), DataGridViewColumn).Width
            Next
            Return RetVal
        End Get
    End Property

End Class 'TLVColumnCollection