'Basis-Helferlein, sollten auch in einem Konsole-Projekt laufen
Imports Microsoft.VisualBasic
Imports System.Text
Imports System.io
Imports System.Diagnostics
Imports System.Collections
Imports System.Text.RegularExpressions
Imports System.Drawing
Imports System.Xml
Imports System.Xml.Serialization
Namespace System

   Public Module modSammlung
      Public Function MyDesignMode() As Boolean
         Return Application.StartupPath.EndsWith("\Common7\IDE")
      End Function
      Public Sub LaunchEditorWith(ByVal Text As String)
         Dim FileFullName As String = Environment.CurrentDirectory & "\LaunchEditorWith.txt"
         With New IO.StreamWriter(FileFullName)
            .Write(Text)
            .Close()
         End With
         Process.Start(FileFullName)
      End Sub
      Public Function IndexPath( _
              ByVal ndRoot As Object, _
              ByVal DownPropName As String, _
              ByVal UpPropName As String, _
              ByVal ndSearch As Object) As Integer()
         Dim Indexes As New ArrayList
         Dim Nd As Object = ndSearch
         Do Until Nd Is ndRoot
            Dim ndParent As Object = CallByName(Nd, UpPropName, CallType.Get)
            Dim List As IList = DirectCast(CallByName(ndParent, DownPropName, CallType.Get), IList)
            Indexes.Insert(0, List.IndexOf(Nd))
            Nd = ndParent
         Loop
         Return DirectCast(Indexes.ToArray(GetType(Integer)), Integer())
      End Function
      Public Function ToArray(ByVal enmbl As Object, Optional ByVal Tp As Type = Nothing) As Array
         Dim Arrl As New ArrayList
         With DirectCast(enmbl, IEnumerable).GetEnumerator
            While .MoveNext
               Arrl.Add(.Current)
            End While
         End With
         If Tp Is Nothing Then Return Arrl.ToArray
         Return Arrl.ToArray(Tp)
      End Function
      Public Function Fullname( _
              ByVal ChainMember As Object, _
              ByVal NextProperty As String, _
              ByVal NameProperty As String, _
              ByVal Separator As String) As String
         Dim Values As List(Of String) = _
             CollectProperties(Of String)(ChainMember, NextProperty, NameProperty, True)
         Return String.Join(Separator, Values.ToArray)
      End Function
      Public Function CollectProperties(Of T)( _
              ByVal ChainMember As Object, _
              ByVal NextProperty As String, _
              ByVal NameProperty As String, _
              Optional ByVal Reverse As Boolean = False) As List(Of T)
         Dim Values As New List(Of T)
         Dim [Next] As Object = ChainMember
         Do
            ChainMember = [Next]
            Values.Add(DirectCast(CallByName(ChainMember, NameProperty, CallType.Get), T))
            [Next] = CallByName(ChainMember, NextProperty, CallType.Get)
         Loop Until [Next] Is Nothing OrElse [Next] Is ChainMember
         If Reverse Then Values.Reverse()
         Return Values
      End Function
   End Module 'modSammlung
End Namespace