Imports System.Text
Namespace System.Windows.Forms

   Public Module modMessageBox
      ''Ein Wrapper fr die MessageBox. Ermglicht kompakte Aufrufe:

      ''If NewMessageBox( _
      ''        "Das Programm hngt sich auf, wenn Sie Laufwerk 'A' betreten,", _
      ''        "ohne da eine Diskette einliegt", _
      ''        "", _
      ''        "Fortfahren?"). _
      ''        FormatLine("Wo hat {0} nur seinen {1}?", "Himpelchen", "Arsch"). _
      ''        Icon(MessageBoxIcon.Question). _
      ''        Show = DialogResult.Yes Then
      ''                                                                                 'Do something
      ''End If

      ''If NewMessageBox( _
      ''        "Das Programm hngt sich auf, wenn Sie Laufwerk 'A' betreten,", _
      ''        "ohne da eine Diskette einliegt", _
      ''        "", _
      ''        "Fortfahren?").Icon(MessageBoxIcon.Question).Show = DialogResult.Yes Then
      ''                                                                                 'Do something
      ''End If

      ''With NewMessageBox()
      ''    .FormatLine("Wo hat {0} nur seinen {1}?", "Himpelchen", "Arsch")
      ''    .FormatLine("Na?")
      ''    .FormatLine("Wisstihrsnicht?")
      ''    .Icon(MessageBoxIcon.Warning)
      ''    If .Show = DialogResult.Yes Then
      ''                                                                                 'Do something
      ''    End If
      ''End With
      Private ReadOnly _MsgBox As New clsMsgBox

      Public Function NewMessageBox() As clsMsgBox
         _MsgBox.Reset()
         Return _MsgBox
      End Function

      Public Class clsMsgBox
         Private _Owner As System.Windows.Forms.IWin32Window
         Private _Caption As String
         Private _Buttons As System.Windows.Forms.MessageBoxButtons
         Private _Icon As System.Windows.Forms.MessageBoxIcon
         Private _DefaultButton As System.Windows.Forms.MessageBoxDefaultButton

         Private _SB As New System.Text.StringBuilder

         Default Public ReadOnly Property AppendLines( _
                 ByVal Line As String, _
                 ByVal ParamArray Lines() As String) As clsMsgBox
            Get
               _SB.Append(StringEx.Concat(String.Concat(Line, String.Concat(Lines))))
               '_SB.Append(Line & vbNewLine)
               '_SB.Append(String.Join(vbNewLine, Lines) & vbNewLine)
               Return Me
            End Get
         End Property
         Public Function Caption(ByVal Arg As String) As clsMsgBox
            _Caption = Arg
            Return Me
         End Function
         Public Function FormatLine(ByVal sFormat As String, ByVal ParamArray Args() As Object) As clsMsgBox
            _SB.Append(StringEx.Format(sFormat, Args) & vbNewLine)
            Return Me
         End Function
         Public Function Owner(ByVal Arg As IWin32Window) As clsMsgBox
            _Owner = Arg
            Return Me
         End Function
         Public Function Buttons(ByVal Arg As MessageBoxButtons) As clsMsgBox
            _Buttons = Arg
            Return Me
         End Function
         Public Function Icon(ByVal Arg As MessageBoxIcon) As clsMsgBox
            _Icon = Arg
            Return Me
         End Function
         Public Function DefaultButton(ByVal Arg As MessageBoxDefaultButton) As clsMsgBox
            _DefaultButton = Arg
            Return Me
         End Function
         Friend Sub Reset()
            _SB.Remove(0, _SB.Length)
            _Caption = System.IO.Path.GetFileNameWithoutExtension(Application.ExecutablePath)
            _Owner = Nothing
            _Buttons = MessageBoxButtons.YesNoCancel
            _Icon = MessageBoxIcon.None
            _DefaultButton = MessageBoxDefaultButton.Button1
         End Sub

         Public Function Show() As DialogResult
            Return MessageBox.Show( _
                _Owner, _
                _SB.ToString, _
                _Caption, _
                _Buttons, _
                _Icon, _
                _DefaultButton)
         End Function

      End Class
   End Module
End Namespace
