Imports TreeListview
Imports System.Text.RegularExpressions
Imports System.io

Public Class RegexTreeNode
   'ein clsTreeListNode, der eine RegularExpressions.Group verwaltet, sowie ein clsGroupInfo
   Inherits clsTreeListViewNode
   Private _Group As Group
   Private _GroupInfo As clsGroupInfo


   Public Sub New( _
         ByVal TLV As uclTreeListview, Optional ByVal Nodes As TreeNodeCollection = Nothing)
      MyBase.New(TLV, Nodes)
   End Sub
   Public Sub New(ByVal Parent As RegexTreeNode)
      MyClass.New(Parent._TLV, Parent.Nodes)
   End Sub
   Public Shared Shadows Function Create(ByVal TLV As uclTreeListview) As RegexTreeNode
      Return New RegexTreeNode(TLV)
   End Function
   Public Shared Shadows Function Create(ByVal Parent As RegexTreeNode) As RegexTreeNode
      Return New RegexTreeNode(Parent)
   End Function
   Public Shadows Function AddTo(ByVal Nodes As TreeNodeCollection) As RegexTreeNode
      MyBase.AddTo(Nodes)
      Return Me
   End Function
   Public Shadows ReadOnly Property Instance() As RegexTreeNode
      Get
         Return Me
      End Get
   End Property

   Public ReadOnly Property GroupInfo() As clsGroupInfo
      Get
         Return _GroupInfo
      End Get
   End Property

   Public Function Group() As Group
      Return _Group
   End Function

   Public Function SetGroupInfo( _
           ByVal GroupInfos As List(Of clsGroupInfo), _
           ByVal Matches As MatchCollection, _
           ByVal MatchNumb As Integer, _
           ByVal GroupNumb As Integer) As RegexTreeNode
      _Group = Matches(MatchNumb).Groups(GroupNumb)
      _GroupInfo = GroupInfos(GroupNumb)
      MyBase.Text(0) = String.Format("{0}.{1}", MatchNumb, GroupNumb)
      MyBase.Text(1) = _GroupInfo.Name
      MyBase.Text(2) = _Group.Value
      Return Me
   End Function
End Class
